// Copyright 2001-2003, Danger, Inc.  All Rights Reserved.
// This file is subject to the Danger, Inc. Sample Code License,
// which is provided in the file SAMPLE_CODE_LICENSE.
// Copies are also available from http://developer.danger.com/

package com.danger.predictoball;

import danger.app.Application;
import danger.app.ResourceDatabase;

/**
 * Main class for Predictoball.
 */
public class Predictoball
	extends Application
{
	private PredictoballWindow mWindow;



	// ------------------------------------------------------------------------
	// constructor

	/**
	 * Construct an instance.
	 */
	public Predictoball()
	{
		ResourceDatabase rdb = getResources();
		mWindow =
			(PredictoballWindow) rdb.getScreen(Resources.PREDICTOBALL_SCREEN);

		mWindow.setApp(this);
	}



	// ------------------------------------------------------------------------
	// public instance methods

	// standard UI method
	public void resume()
	{
		mWindow.show();
	}
}

